#header {
	padding: rem-calc(20 0);
	position: relative;
	z-index: 5;

	@include media(">=tablet") {
		padding: rem-calc(50 0 46);
	}

	
}

.logo {
	width: rem-calc(100);

	@include media(">=tablet") {
		width: rem-calc(115);
	}

	@include media(">=desktop") {
		width: rem-calc(157);
	}
}

.nav-active {
	.navbar {
		transform: translateX(0);
	}
}

.navbar {
	@include animate(transform);

	border-top: 0.0625rem solid $gray-800;
	background: $white;
	display: block;
	width: 100%;
	position: absolute;
	top: 100%;
	height: calc(100vh - 2.8rem);
	transform: translateX(-100%);
	text-align: center;
	margin: rem-calc(0 -15);
	padding: rem-calc(0 0 42);

	@include media(">=tablet") {
		display: flex;
		width: calc(100% - 7.1875rem);
		position: static;
		height: auto;
		transform: translateX(0);
		margin: 0 auto;
		background: none;
		border: none;
		padding: 0;
	}

	@include media("<tablet") {
		overflow: auto;
	}

	@include media(">=desktop") {
		width: calc(100% - 9.8125rem);
	}
}

.menu {
	@extend %listreset;
	
	@include media(">=tablet") {
		display: flex;
		align-items: center;
		flex-wrap: wrap;
	}

	@include media(">=desktop") {
		margin: rem-calc(0 -20);
	}

	li {
		padding: rem-calc(0 2);
		&.active {
			a {
				color: $red;

				@include media(">=tablet") {
					color: $white;
					background-color: $red;
					font-weight: 300;
				}
			}
		}

		a {
			@include animate(color background-color);

			color: $gray-800;
			border-radius: rem-calc(30);
			font-size: rem-calc(18);
			font-weight: 500;

			@include media(">=tablet") {
				padding: rem-calc(8);
				font-size: rem-calc(14);
			}

			@include media(">=desktop") {
				padding: rem-calc(13 20);
				font-size: rem-calc(16);
			}

			@include media(">=widescreen") {
				padding: rem-calc(13 20);
				font-size: rem-calc(18);
			}

			&:hover, &:focus {
				color: $red;
				text-decoration: none;

				@include media(">=tablet") {
					color: $white;
					background-color: $red;
				}
			}
		}
	}
}

.nav-opener {
	display: inline-block;
	vertical-align: top;
	width: rem-calc(40);
	height: rem-calc(40);
	position: relative;

	@include media(">=tablet") {
		display: none;
	}

	&:before,
	&:after,
	span {
		@include animate(all);

		background: $black;
		border-radius: rem-calc(4);
		position: absolute;
		top: rem-calc(17);
		left: 15%;
		right: 15%;
		height: rem-calc(3);
	}

	&:before,
	&:after {
		content: "";
		top: rem-calc(10);
	}

	&:after {
		top: rem-calc(24);
	}

	.nav-active & {

		&:before,
		&:after {
			top: rem-calc(20);
			transform: rotate(45deg);
			top: rem-calc(16);
		}

		&:after {
			transform: rotate(-45deg);
		}

		span {
			opacity: 0;
		}
	}
}
